Bug 2187742 (CVE-2023-20863) - CVE-2023-20863 springframework: Spring Expression DoS Vulnerability
Summary: CVE-2023-20863 springframework: Spring Expression DoS Vulnerability
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2023-20863
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 2186653
TreeView+ depends on / blocked
 
Reported: 2023-04-18 15:07 UTC by Chess Hazlett
Modified: 2023-06-29 19:09 UTC (History)
11 users (show)

Fixed In Version: spring framework 6.0.8, spring framework 5.3.27, spring framework 5.2.24.RELEASE
Doc Type: ---
Doc Text:
A flaw was found in Spring Framework. Certain versions of Spring Framework's Expression Language were not restricting the size of Spring Expressions. This could allow an attacker to craft a malicious Spring Expression to cause a denial of service on the server.
Clone Of:
Environment:
Last Closed: 2023-05-03 20:35:33 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2023:2099 0 None None None 2023-05-03 14:05:29 UTC
Red Hat Product Errata RHSA-2023:2100 0 None None None 2023-05-03 14:07:21 UTC

Description Chess Hazlett 2023-04-18 15:07:00 UTC
In Spring Framework versions 6.0.0 - 6.0.7, 5.3.0 - 5.3.26, 5.2.0.RELEASE - 5.2.23.RELEASE, and older unsupported versions, it is possible for a user to provide a specially crafted SpEL expression that may cause a denial-of-service (DoS) condition.

Comment 2 errata-xmlrpc 2023-05-03 14:05:28 UTC
This issue has been addressed in the following products:

  RHINT Camel-Springboot 3.18.3.P1

Via RHSA-2023:2099 https://access.redhat.com/errata/RHSA-2023:2099

Comment 3 errata-xmlrpc 2023-05-03 14:07:19 UTC
This issue has been addressed in the following products:

  RHINT Camel-Springboot 3.20.1

Via RHSA-2023:2100 https://access.redhat.com/errata/RHSA-2023:2100

Comment 4 Product Security DevOps Team 2023-05-03 20:35:31 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2023-20863


Note You need to log in before you can comment on or make changes to this bug.